package com.lantone.qc.kernel.catalogue.consultation;

import com.lantone.qc.kernel.catalogue.QCCatalogue;
import com.lantone.qc.kernel.util.CatalogueUtil;
import com.lantone.qc.pub.model.InputInfo;
import com.lantone.qc.pub.model.OutputInfo;
import com.lantone.qc.pub.model.doc.consultation.ConsultationDoc;
import com.lantone.qc.pub.model.doc.consultation.ConsultationRecordDoc;
import org.springframework.stereotype.Component;

import java.util.List;
import java.util.Map;

/**
 * @ClassName : CON0530
 * @Description : 会诊记录中会诊医师签名未填写
 * @Author : 胡敬
 * @Date: 2020-03-28 13:39
 */
@Component
public class CON0530 extends QCCatalogue {
    public void start(InputInfo inputInfo, OutputInfo outputInfo) {
        status.set("0");
        List<ConsultationDoc> consultationDocs = inputInfo.getConsultationDocs();
        if (consultationDocs.size() == 0) {
            return;
        }
        for (ConsultationDoc consultationDoc : consultationDocs) {
            ConsultationRecordDoc consultationRecordDoc = consultationDoc.getConsultationRecordDoc();
            if (consultationRecordDoc == null) {
                continue;
            }
            Map<String, String> consultationResultStructureMap = consultationRecordDoc.getStructureMap();
            String consultationDateStr = consultationResultStructureMap.get("记录医师");
            if (CatalogueUtil.isEmpty(consultationDateStr)) {
                status.set("-1");
                return;
            }
        }
    }
}